DRBD-PROMOTE@.SER(7)

NAME
drbd-promote@.service - System unit to promote a specific DRBD resource

SYNOPSIS

drbd-promote@RESNAME.service

DESCRIPTION

Usually you do not want to "hardcode" an unconditional promotion attempt of DRBD resources, because you usually cannot know a-priory whether this instance of DRBD will have access to good data (yet).

So this is intended to be used for conditional promotion, for example using drbd-reactor to monitor DRBD internal states and react on specific state changes to try and bring up the drbd-services@RESNAME.target, starting with this unit and following the dependency chain of services as specified in the corresponding drbd-reactor promoter plugin configuration.

You typically should not use this unit directly.

SEE ALSO

drbd-reactor(1) drbd-reactor.promoter(5)

AUTHORS

LINBIT HA Solutions GmbH https://linbit.com